# /packages/intranet-rest-fs-openacs/tcl/intranet-rest-fs-openacs-procs.tcl
#
# Copyright (C) 2018 ]project-open[
#
# All rights reserved. Please check
# http://www.project-open.com/license/ for details.

ad_library {
    Procs used in filestorage API for OpenACS

    @author frank.bergmann@project-open.com
}


# ----------------------------------------------------------------------
# Constants
# ---------------------------------------------------------------------


# ----------------------------------------------------------------------
# Components
# ---------------------------------------------------------------------

ad_proc -public im_rest_fs_component {
    -object_id
} {
    Returns a HTML 5 component to show project related files
} {
    # Check if object_id is a sub-project or task
    # and move to top-element. Is is a frequent case...
    set main_project_id [db_string main_p "
	select	main_p.project_id
	from	im_projects main_p,
		im_projects p
	where	p.project_id = :object_id and
		main_p.tree_sortkey = tree_root_key(p.tree_sortkey)
    "]
    if {"" ne $main_project_id} { set object_id $main_project_id }

    # Sencha check and permissions
    if {![im_sencha_extjs_installed_p]} { return "" }
    im_sencha_extjs_load_libraries

    set params [list [list object_id $object_id]]
    set result [ad_parse_template -params $params "/packages/intranet-rest-fs-openacs/lib/file-tree"]
    return [string trim $result]
}

